Skip to main content
GET
/
v1
/
webhooks
/
{id}
/
deliveries
List delivery attempts for a webhook endpoint
curl --request GET \
  --url https://api.example.com/v1/webhooks/{id}/deliveries \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/v1/webhooks/{id}/deliveries"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/v1/webhooks/{id}/deliveries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "deliveries": [
    {
      "attemptNumber": 123,
      "createdAt": "<string>",
      "eventId": "evt_abc123",
      "eventType": "payout.paid",
      "id": "<string>",
      "httpStatusCode": 123,
      "responseBody": "<string>"
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Enter Auth0 JWT token

Path Parameters

id
string<uuid>
required

Webhook endpoint ID

Example:

"123e4567-e89b-12d3-a456-426614174000"

Query Parameters

cursor
string

Cursor for pagination (ISO timestamp)

limit
number

Number of results per page (default 20, max 100)

status
enum<string>

Filter by delivery status

Available options:
pending,
delivered,
failed
dateFrom
string

Filter deliveries created at or after this ISO timestamp

dateTo
string

Filter deliveries created at or before this ISO timestamp

Search event ID, event type, response body, or HTTP status code

Response

Paginated list of deliveries

deliveries
object[]
required

List of delivery records

hasMore
boolean
required

Whether more results exist

nextCursor
string

Cursor for next page